from pasteob.auth.logic import *
from google.appengine.api import users

__all__ = ['GaeAuthLogic']

class GaeAuthLogic(AuthLogic):
    def __init__(self, req):
        e = req.environ
        if e.get('USER_ID'):
            self.logged_in = True
            is_admin = (e.get('USER_IS_ADMIN', '0')) == '1'
            #is_admin = users.is_current_user_admin()
            roles = ['admin'] if is_admin else ()
            self._user = User(e['USER_ID'], e['USER_EMAIL'], roles=roles)

    def _login_url(self, return_to):
        return users.create_login_url(return_to)

    def _logout_url(self, return_to):
        return users.create_logout_url(return_to)
